// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef FACTORY_IMPL_H
#define FACTORY_IMPL_H

#include <Factory_skel.h>

class Factory_impl : public Factory_skel
{
    CORBA_ORB_var orb_;
    const char* pname_;

    void reap();

public:

    Factory_impl(CORBA_ORB_ptr, const char*);
    virtual ~Factory_impl();

    Hello_ptr createHello();
};

#endif
